Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419485 - [RFE] Sanitize Docker Logging
Summary: [RFE] Sanitize Docker Logging
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Antonio Murdaca
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2017-02-06 10:32 UTC by Marko Myllynen
Modified: 2021-03-11 14:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 14:50:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marko Myllynen 2017-02-06 10:32:29 UTC
Description of problem:
Starting docker on a new RHEL 7 installation and doing some basic operations (pull/tag/push) I see lots of completely unhelpful logging in system log, for example:

...
Feb  6 10:56:05 rhev-i24c-01 dockerd-current: time="2017-02-06T10:56:05.834973437+02:00" level=info msg="{Action=create, Username=root, LoginUID=0, PID=41739}"
Feb  6 10:56:07 rhev-i24c-01 dockerd-current: time="2017-02-06T10:56:07.685058729+02:00" level=info msg="{Action=create, Username=root, LoginUID=0, PID=41746}"
Feb  6 10:56:09 rhev-i24c-01 dockerd-current: time="2017-02-06T10:56:09.979106816+02:00" level=info msg="{Action=create, Username=root, LoginUID=0, PID=41768}"
...
Feb  6 10:59:00 rhev-i24c-01 dockerd-current: time="2017-02-06T10:59:00.653854710+02:00" level=info msg="{Action=remove, Username=root, LoginUID=0, PID=42750}"
Feb  6 10:59:01 rhev-i24c-01 dockerd-current: time="2017-02-06T10:59:01.034145787+02:00" level=info msg="{Action=tag, Username=root, LoginUID=0, PID=42757}"
Feb  6 10:59:01 rhev-i24c-01 dockerd-current: time="2017-02-06T10:59:01.855460794+02:00" level=info msg="{Action=push, Username=root, LoginUID=0, PID=42764}"
...
Feb  6 11:50:07 rhev-i24c-01 dockerd-current: time="2017-02-06T11:50:07.095448146+02:00" level=error msg="Not continuing with pull after error: unknown: Not Found"
...

I don't think messages like this belong to system log by default. Either not logging these or logging at warn level should be considered. Or perhaps create a separate log for docker. In any case, the last message is also an example of unhelpful logging, something wasn't found somewhere - if this must be logged then obviously "what" and "where" should be logged as well to make the message meaningful.

Also, on a busy docker host there's a huge amount of mounting/unmounting messages, not sure can anything by done to that in the context of docker.

These are just some quick examples, would be great to have docker logging reviewed and sanitized in general. If done in upstream/Fedora already, then please consider backporting to RHEL 7.

Thanks.

Version-Release number of selected component (if applicable):
docker-1.12.5-14.el7.x86_64

Comment 3 Daniel Walsh 2017-06-30 15:02:22 UTC
Antonio what do you want to do with this one?

Comment 4 Marko Myllynen 2017-08-10 12:04:57 UTC
When testing with OCP 3.6 lines like these are printed thousands of times:

Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker/overlay2]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker/overlay]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker-latest/overlay2]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker-latest/overlay]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker-latest/devicemapper]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/docker-latest/containers]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/container/storage/lvm]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/container/storage/devicemapper]: No such file or directory. Skipping.
Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to canonicalize path [/var/lib/container/storage/overlay]: No such file or directory. Skipping.

This is counter-productive, please avoid such log pollution. Thanks.

Comment 5 Simon Reber 2017-09-11 12:55:23 UTC
(In reply to Marko Myllynen from comment #4)
> When testing with OCP 3.6 lines like these are printed thousands of times:
> 
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker/overlay2]: No such file or directory.
> Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker/overlay]: No such file or directory.
> Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker-latest/overlay2]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker-latest/overlay]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker-latest/devicemapper]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/docker-latest/containers]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/container/storage/lvm]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/container/storage/devicemapper]: No such file or
> directory. Skipping.
> Aug 10 08:00:42 master01 oci-umount: umounthook <info>: Failed to
> canonicalize path [/var/lib/container/storage/overlay]: No such file or
> directory. Skipping.
> 
> This is counter-productive, please avoid such log pollution. Thanks.
My customer is reporting the same messages after updated to Red Hat OpenShift Container Platform 3.4 and Red Hat Enterprise Linux 7.4.

We should definitely try to avoid this kind of messages as it's filling up log files.

Comment 6 Derrick Ornelas 2019-09-19 14:50:28 UTC
With the start of the Maintenance Support 1 phase[1] on August 6, 2019 no new software functionality is planned for Red Hat Enterprise Linux 7.  As docker is not available in Red Hat Enterprise Linux 8 it is not possible to re-evaluate this request for the next release.  


[1] https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_1_Phase


Note You need to log in before you can comment on or make changes to this bug.